import lxml.etree as etree
import re
parser = etree.XMLParser(remove_blank_text=True)
with open('ObamaGifts.xml', 'rb') as xml_file:
	tree = etree.parse(xml_file, parser)

root = tree.getroot()
gifts =root.findall(".//GIFT")


for gift in gifts:
	if "Obama" in gift[0].text:
		descrip = gift[1].text
		handbag = re.findall('\$[\d,]+', descrip)
		for item in handbag:
			money = item.replace("$", "").replace(",", "")
			xmlval = etree.SubElement(gift, 'VALUE')
			xmlval.text = money
	else:
		giftparent = gift.getparent()
		giftparent.remove(gift)
mydata = etree.tostring(root, pretty_print=True,encoding='UTF-8')
with open('OnlyObamaGifts.xml', 'wb') as xml_file:
	xml_file.write(mydata)